=== Bonjour/Makefile ===
include ../config.arch

all: 
	@echo "Start Bonjour ...";
	make -C mDNSResponder-107.6/mDNSPosix os=linux SAProxyResponder
	$(STRIP) mDNSResponder-107.6/mDNSPosix/build/prod/mDNSProxyResponderPosix
install: 
	cp -af ./mDNSResponder-107.6/mDNSPosix/build/prod/mDNSProxyResponderPosix ${MYPATH}/rootfs/usr/bin/mDNSProxyResponderPosix

clean:
	make -C mDNSResponder-107.6/mDNSPosix os=linux clean
