=== NVP7000/Makefile ===
CROSS=
CROSS=arm-merlin-linux-uclibc-

DEBUG_LIB_FLAG=
CC = ${CROSS}gcc
CXX = ${CROSS}g++
CXXFLAGS += ${DEBUG_LIB_FLAG}
LIBS =  NVP7000.o main.o i2c.o


TARGET = setNVP7000

all: ${TARGET}

${TARGET}:$(OBJECTS) ${LIBS} 
	$(CXX) $(LIBS)  -o $@ 

install:
	cp -af ${TARGET} ${MYPATH}/rootfs/usr/bin/

.cpp.o :
	$(CXX) $(CXXFLAGS) -c  -o $@ $<


clean:
	rm -rf ${TARGET} ${LIBS} *.o *.so
