=== SAA7121/Makefile ===

CROSS=arm-merlin-linux-uclibc-
CC = ${CROSS}gcc
CFLAGS = -I../../API/ -Wall -O2
EXTRA_OBJS = ../../API/i2c.o
LIBS =  setSAA7121.o

TARGET = setSAA7121

all: ${TARGET}

${TARGET}: ${EXTRA_OBJS} ${LIBS} 
	${CC} -o ${TARGET} setSAA7121.o ${EXTRA_OBJS}

%.o: %.c
	${CC} ${CFLAGS} -c -o $@ $<

install:
	cp -af ${TARGET} ${MYPATH}/rootfs/usr/bin/

clean:
	rm -rf ${TARGET} ${LIBS} *.o *.so
