=== airlive_ipinst/Makefile ===

CROSS=arm-merlin-linux-uclibc-
CC = ${CROSS}gcc
CFLAGS += -g -O2  -Wall -I${MYPATH}/API/ -I${MYPATH}/API/tool/include
EXOBJ = ${MYPATH}/API/tool/build/inf_func.o   ${MYPATH}/API/tool/build/debug.o  ${MYPATH}/API/function_sys.o ${MYPATH}/API/tool/build/msgq.o ${MYPATH}/API/tool/build/psfunc.o

OBJECT = airlive_ipinst.o
TARGET = airlive_ipinst

all: ${OBJECT}
	${CC} ${EXOBJ} ${OBJECT}  -o ${TARGET} -lcrypt

install:
	cp -af ${TARGET} ${MYPATH}/rootfs/usr/bin
	
.c.o:
	$(CC) -c  $(CFLAGS) $< -o $@

clean:
	rm -f ${OBJECT} *.o airlive_ipinst
