=== busybox/Makefile ===
CROSS=arm-merlin-linux-uclibc-
BVERSION=busybox


all: 
	cp config-pixord_arch ${BVERSION}/.config
	${MAKE} all -C ${BVERSION} CROSS_COMPILE=${CROSS}

install: 
	${MAKE} install -C ${BVERSION} CROSS_COMPILE=${CROSS} CONFIG_PREFIX=${MYPATH}/rootfs
# busybox-1.6.1 DIST_DIR
#	${MAKE} install -C ${BVERSION} CROSS_COMPILE=${CROSS} DIST_DIR=${MYPATH}/rootfs
clean: 
	${MAKE} clean -C ${BVERSION} CROSS_COMPILE=${CROSS}
