=== e2fsprogs/Makefile ===
all:
	cd e2fsprogs-1.40.2/;./MyARMconfig
install:
	make -C e2fsprogs-1.40.2 install install-libs
	make -C e2fsprogs-1.40.2 install-strip 
	cp e2fsprogs-1.40.2/misc/mke2fs.conf ${MYPATH}/rootfs/etc
	#rm ${MYPATH}/rootfs/sbin/badblocks  
	#rm ${MYPATH}/rootfs/sbin/e2fsck
	#rm ${MYPATH}/rootfs/sbin/findfs
	#rm ${MYPATH}/rootfs/sbin/fsck.ext3
	#rm ${MYPATH}/rootfs/sbin/mkfs.ext2
	#rm ${MYPATH}/rootfs/sbin/tune2fs
	#rm ${MYPATH}/rootfs/sbin/blkid
	#rm ${MYPATH}/rootfs/sbin/e2label
	#rm ${MYPATH}/rootfs/sbin/fsck
	#rm ${MYPATH}/rootfs/sbin/logsave
	#rm ${MYPATH}/rootfs/sbin/mkfs.ext3
	#rm ${MYPATH}/rootfs/sbin/dumpe2fs
	#rm ${MYPATH}/rootfs/sbin/filefrag
	#rm ${MYPATH}/rootfs/sbin/fsck.ext2
	#rm ${MYPATH}/rootfs/sbin/mklost+found
	rm -rf ${MYPATH}/rootfs/share

clean:
	make clean -C e2fsprogs-1.40.2
