=== ftpserver/betaftpd-0.0.8pre17/debian/changelog ===
betaftpd (0.0.8pre17-1) unstable; urgency=low

  * Initial release.

 -- Steinar H. Gunderson <sgunderson@bigfoot.com>  Thu, 17 Aug 2000 18:02:18 +0200

Local variables:
mode: debian-changelog
End:
