=== e2fsprogs/e2fsprogs-1.40.2/debian/control ===
Source: e2fsprogs
Section: admin
Priority: required
Maintainer: Theodore Y. Ts'o <tytso@mit.edu>
Build-Depends: texi2html (>= 1.76), gettext, texinfo, dc, libsepol1-dev, libdevmapper-dev, libselinux1-dev, debhelper (>= 4)
Standards-Version: 3.7.2

Package: e2fsck-static
Section: admin
Priority: optional
Depends:
Recommends: sash | zsh-static | busybox-static | zsh30-static
Architecture: any
Description: statically-linked version of the ext2 filesystem checker
 This may be of some help to you if your filesystem gets corrupted enough
 to break the shared libraries used by the dynamically linked checker.
 .
 This binary takes much more space than its dynamic counterpart located
 in e2fsprogs, though.
 .
 You may want to install a statically-linked shell as well, to be able
 to run this program if something like your C library gets corrupted.

Package: libcomerr2
Section: libs
Priority: required
Provides: libcomerr-kth-compat
Depends: ${shlibs:Depends}
Replaces: e2fsprogs (<< 1.34-1)
Architecture: any
Description: common error description library
 libcomerr is an attempt to present a common error-handling mechanism to
 manipulate the most common form of error code in a fashion that does not
 have the problems identified with mechanisms commonly in use.

Package: comerr-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libcomerr2 (= ${binary:Version})
Suggests: doc-base
Replaces: e2fslibs-dev (<< 1.33-2), libkrb5-dev (<< 1.3)
Architecture: any
Description: common error description library - headers and static libraries
 libcom_err is an attempt to present a common error-handling mechanism to
 manipulate the most common form of error code in a fashion that does not
 have the problems identified with mechanisms commonly in use.
 .
 This package contains the development environment for the com_err library.

Package: libss2
Section: libs
Priority: required
Depends: libcomerr2
Replaces: e2fsprogs (<< 1.34-1)
Architecture: any
Description: command-line interface parsing library
 This package includes a tool that parses a command table to generate
 a simple command-line interface parser, the include files needed to
 compile and use it, and the static libs.
 . 
 It was originally inspired by the Multics SubSystem library.

Package: ss-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libss2 (= ${binary:Version}), comerr-dev
Architecture: any
Description: command-line interface parsing library - headers and static libraries
 This package includes a tool that parses a command table to generate
 a simple command-line interface parser, the include files needed to
 compile and use it, and the static libs.
 . 
 It was originally inspired by the Multics SubSystem library.
 .
 This package contains the development environment for the ss library.

Package: libuuid1
Section: libs
Priority: required
Depends: ${shlibs:Depends}
Replaces: e2fsprogs (<< 1.34-1)
Architecture: any
Description: universally unique id library
 libuuid generates and parses 128-bit universally unique id's (UUID's).
 See RFC 4122 for more information.

Package: libuuid1-udeb
Section: debian-installer
Priority: optional
Depends: ${shlibs:Depends}
Architecture: any
Description: universally unique id library
 libuuid generates and parses 128-bit universally unique id's (UUID's).
 See RFC 4122 for more information.
 .
 This is a minimal package for debian-installer.

Package: uuid-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libuuid1 (= ${binary:Version})
Replaces: e2fslibs-dev (<< 1.15)
Architecture: any
Description: universally unique id library - headers and static libraries
 libuuid generates and parses 128-bit universally unique id's (UUID's).
 See RFC 4122 for more information.
 .
 This package contains the development environment for the uuid library.

Package: libblkid1
Section: libs
Priority: required
Depends: ${shlibs:Depends}
Architecture: any
Description: block device id library
 The blkid library which allows system programs like fsck and 
 mount to quickly and easily find block devices by filesystem UUID and 
 LABEL.  This allows system administrators to avoid specifying 
 filesystems by hard-coded device names, but via a logical naming 
 system instead.

Package: libblkid1-udeb
Section: debian-installer
Priority: optional
Depends: ${shlibs:Depends}
Architecture: any
Description: block device id library
 The blkid library which allows system programs like fsck and 
 mount to quickly and easily find block devices by filesystem UUID and 
 LABEL.  This allows system administrators to avoid specifiying 
 filesystems by hard-coded device names, but via a logical naming 
 system instead.
 .
 This is a minimal package for debian-installer.

Package: libblkid-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, libblkid1 (= ${binary:Version})
Architecture: any
Description: block device id library - headers and static libraries
 The blkid library which allows system programs like fsck and 
 mount to quickly and easily find block devices by filesystem UUID and 
 LABEL.  This allows system administrators to avoid specifiying 
 filesystems by hard-coded device names, but via a logical naming 
 system instead.
 .
 This package contains the development environment for the blkid library.

Package: e2fsprogs-udeb
Section: debian-installer
Priority: optional
Depends: ${shlibs:Depends}
Architecture: any
Description: stripped-down versions of e2fsprogs, for debian-installer
 This package is an e2fsprogs package built for a reduced size, so that
 it can help to save space in debian-installer.
 .
 Don't attempt to install this package, it has no support for a couple of
 features you surely want.  Anyway it should refuse to install.

Package: e2fslibs
Section: libs
Priority: required
Depends: ${shlibs:Depends}
Replaces: e2fsprogs (<< 1.34-1)
Provides: libext2fs2, libe2p2
Architecture: any
Description: ext2 filesystem libraries
 The ext2fs and e2p libraries are used by programs that directly access 
 EXT2 filesystems from usermode programs.   The EXT2 filesystem is very often
 used as the default filesystem on Linux systems.   Various system programs
 that use libext2fs include e2fsck, mke2fs, tune2fs, etc.  Programs that use
 libe2p include dumpe2fs, chattr, and lsattr.

Package: e2fslibs-dev
Section: libdevel
Priority: extra
Depends: libc6-dev | libc-dev, comerr-dev, e2fslibs (= ${binary:Version})
Suggests: doc-base
Provides: ext2fs-dev, e2p-dev
Replaces: libkrb5-dev (<< 1.3)
Architecture: any
Description: ext2 filesystem libraries - headers and static libraries
 The ext2fs and e2p libraries are used by programs that directly access 
 EXT2 filesystems from usermode programs.   The EXT2 filesystem is very often
 used as the default filesystem on Linux systems.   Various system programs
 that use libext2fs include e2fsck, mke2fs, tune2fs, etc.  Programs that use
 libe2p include dumpe2fs, chattr, and lsattr.
 .
 This package contains the development environment for the ext2fs and e2p 
 libraries.

Package: e2fsprogs
Essential: yes
Pre-Depends: ${shlibs:Depends}
Depends: 
Suggests: gpart, parted, e2fsck-static
Conflicts: dump (<< 0.4b4-4), quota (<< 1.55-8.1), initscripts (<< 2.85-4), sysvinit (<< 2.85-4)
Replaces: hurd (<= 20040301-1), libblkid1 (<< 1.38+1.39-WIP-2005.12.10-2), libuuid1 (<< 1.38+1.39-WIP-2005.12.10-2)
Architecture: any
Description: ext2 file system utilities and libraries
 EXT2 stands for "Extended Filesystem", version 2. It's the main
 filesystem type used for hard disks on Debian and other Linux systems.
 .
 This package contains programs for creating, checking, and maintaining EXT2
 filesystems, and the generic `fsck' wrapper.
