=== ftpserver/betaftpd-0.0.8pre17/debian/control ===
Source: betaftpd
Section: net
Priority: extra
Maintainer: Steinar H. Gunderson <sgunderson@bigfoot.com>
Standards-Version: 3.1.1

Package: betaftpd
Architecture: i386
Depends: ${shlibs:Depends}
Description: Single-threaded, fast, small alternative FTP daemon
 BetaFTPD is a single-threaded FTP daemon. The single-threadedness
 makes it faster than most other FTP daemons (contrary to common
 belief), and makes it extremely light on memory. Although it lacks a
 few functions (which you probably won't miss), the current version is
 very small and has a decent amount of functionality. BetaFTPD is built
 on the concept of heavy code reuse, which should hopefully make it
 easier for other programmers to contribute.
