=== ftpserver/betaftpd-0.0.8pre17/debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=betaftpd

build:
	$(checkdir)
	CFLAGS="-O6 -Wall" ./configure --prefix=/usr --enable-xferlog --enable-ascii --enable-fork --enable-upload --enable-dcache --enable-message --enable-shadow --with-linux-sendfile
	$(MAKE) CFLAGS="-O6 -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) distclean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
	# For some reason, this is never triggered... the document installation
	# is this in binary-arch instead.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install prefix=`pwd`/debian/tmp/usr
	-cp doc/* `pwd`/debian/tmp/usr/share/doc/betaftpd/
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd README 
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-indep binary-arch clean checkroot
